Subject: X2go server crashes on Ubuntu 16.04 starting at 2018-03-08
From: [email-masked]
To: [email-masked]
Date: Fri, 9 Mar 2018 14:14:41 -0500

Package: nxagent
Version: 3.5.99.15 (From the Official Ubuntu PPA)

Hello,

X2go server crashes on Ubuntu 16.04 starting at 2018-03-08.  I am using Windows 10 as the client.  It happens most often when moving the window from one display screen to a second one.  It also happens after a short time online, usually fewer than 5 minutes.  Perhaps a recent Windows 10 update may have caused this since that's the only thing I have changed on these systems.  I am also mounting my Windows 10 drive through the X2go client.  Sound is disabled.

I'm pretty sure nxagent was updated on March 8 to this version:
NXAGENT - Version 3.5.99.15

Here is what I see in the kernel log (dmesg):

[  194.802419] nxagent[3035]: segfault at 0 ip 0000559edeb9c5fb sp 00007ffcbebf71c0 error 4 in nxagent[559edead1000+432000]
[ 9277.059883] nxagent[23367]: segfault at 0 ip 0000562497ecb5fb sp 00007ffcd24230b0 error 4 in nxagent[562497e00000+432000]
[ 9319.625785] nxagent[24275]: segfault at 0 ip 0000557f7e17f5fb sp 00007ffd7cbda740 error 4 in nxagent[557f7e0b4000+432000]
[ 9696.220810] nxagent[25857]: segfault at 0 ip 00005607d52375fb sp 00007ffc87afbb40 error 4 in nxagent[5607d516c000+432000]
[ 9750.298187] nxagent[26894]: segfault at 0 ip 000055c8f5dbd5fb sp 00007ffef53ee0e0 error 4 in nxagent[55c8f5cf2000+432000]

I don't see anything remarkable on the Windows 10 side.

Thank you for your efforts.

Kris Rehberg